<script lang="ts">
export default {
  name: 'Hero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <section class="hero hero__background">
    <SlpContainer>
      <SlpRow class="hero__body slp-mb-24">
        <SlpColumn :cols="12">
          <div class="commit-logo" data-aos="fade-up" data-aos-duration="800">
            <h1 class="sr-narrate">Commit</h1>
            <img
              src="/nuxt-images/events/commit_logo.svg"
              alt="Commit logo"
              aria-hidden="true"
            />
          </div>
          <div data-aos="fade-up" data-aos-duration="1000">
            <SlpTypography tag="h2" class="slp-mb-32"
              >{{ data.subtitle }}
            </SlpTypography>
          </div>

          <div data-aos="fade-up" data-aos-duration="1200">
            <span class="hero__markdown" v-html="$md.render(data.text)"></span>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.hero {
  min-height: 40rem;
  position: relative;
  margin-bottom: $spacing-16;
  display: flex;
  align-items: flex-start;
  margin-top: 50px;
  padding-top: $spacing-96;
  padding-bottom: $spacing-64;

  @media (min-width: $breakpoint-md) {
    margin-bottom: $spacing-32;
    min-height: 55rem;
    height: 55rem;
    align-items: center;
    padding-top: 50px;
    margin-top: 0;
  }

  &__background {
    background-position: center;
    background-repeat: no-repeat;
    background-image: url('/nuxt-images/events/commit_2022_gradient.png');
    background-size: cover;
  }

  &__body {
    align-items: flex-start;
    justify-content: space-between;
    @media (min-width: $breakpoint-md) {
      padding-top: $spacing-96;
    }
  }

  h2 {
    font-size: 80px;
    line-height: 90px;
    font-weight: $font-weight-bold;
    margin: $spacing-24 0;
    color: $color-text-50;

    @media (max-width: $breakpoint-md) {
      font-size: 68px;
      line-height: 70px;
    }
  }

  &__image {
    max-width: 15rem;
  }

  &__markdown {
    display: block;
    font-size: $text-heading-5;
    line-height: $line-height-heading-5;
    font-weight: $font-weight-normal;
    margin-bottom: $spacing-32;

    color: $color-text-50;

    &:deep p:first-of-type {
      margin-bottom: $spacing-16;
    }

    @media (max-width: $breakpoint-md) {
      font-size: $text-heading-5-mobile;
      line-height: $line-height-heading-5-mobile;
    }
  }

  &__action {
    background: $color-surface-50;
    color: $color-text-300;
  }

  &__header {
    font-weight: 600;
  }

  .commit-logo {
    position: relative;
    max-width: 670px;

    img {
      z-index: 50;
      width: 100%;
    }
  }
  .sr-narrate {
    width: 0;
    height: 0;
    visibility: hidden;
  }

  .video-wrapper {
    @media (max-width: $breakpoint-md) {
      width: 100%;
    }

    .container {
      padding: 0;
    }
    .video {
      margin-bottom: 0;
      aspect-ratio: 16 / 9;
      height: 100%;
      width: 100%;

      &:deep {
        .videoCard {
          background: transparent;
        }

        iframe {
          aspect-ratio: 16 / 9;
          height: 100%;
          width: 100%;
        }
      }
    }
  }

  button {
    .slp-icon {
      margin-left: $spacing-8;
    }
    @media (max-width: $breakpoint-md) {
      width: 100%;
      justify-content: center;
    }
  }
}
</style>
